Subject: Re: pthreads, cygwin and pthread_mutex_lock not blocking
From: David Rothenberger <[email-masked]>
To: [email-masked]
Cc: Peter Rehley <[email-masked]>
Date: Tue, 31 May 2005 10:50:32 -0700

On 5/31/2005 10:15 AM, Peter Rehley wrote:
> Well, here is a simple test case, but turns out I wasn't using the 
> latest version.  I was having the problem on 1.5.12,  I haven't been 
> able to get a good build with cygwin 1.5.17-1.  It builds and I can run 
> the install script, but when I put the dll in place I see the message 
> "cygheap magic number mismatch detected", and gcc doesn't want to work.

I had a similar problem (see 
<http://cygwin.com/ml/cygwin/2005-05/msg01251.html>). It turned out it 
was because I was using the latest release of binutils. Try rolling back 
to the previous release.

-- 
David Rothenberger                spammer? -> [email-masked]
GPG/PGP: 0x7F67E734, C233 365A 25EF 2C5F C8E1 43DF B44F BA26 7F67 E734

Whip it, whip it good!

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/